# HG changeset patch
# User František Kučera
- n.b. currently it might be a bit difficult to compile them, please stay tuned for v0.8, where the build process will be properly documented
-
+ This is the first public release of
+ See the
+ Instalation was tested on Debian GNU/Linux 9.6.
+ The process should be similar on other distributions.
+
+ Released versions
+
+
+
diff -r d7a7f20aae51 -r a94eb371f77e relpipe-data/examples/release-v0.8.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/relpipe-data/examples/release-v0.8.sh Thu Dec 20 01:42:36 2018 +0100
@@ -0,0 +1,36 @@
+# Install dependencies as root:
+su -c "apt install g++ make cmake mercurial pkg-config"
+
+# Run rest of installation as a non-root user:
+export RELPIPE_VERSION="v0.8"
+export RELPIPE_SRC=~/src
+export RELPIPE_BUILD=~/build
+export RELPIPE_INSTALL=~/install
+export PKG_CONFIG_PATH="$RELPIPE_INSTALL/lib/pkgconfig/:$PKG_CONFIG_PATH"
+export PATH="$RELPIPE_INSTALL/bin:$PATH"
+
+mkdir "$RELPIPE_SRC" "$RELPIPE_BUILD" "$RELPIPE_INSTALL"
+
+# Helper functions:
+relpipe_download() { for m in "$@"; do cd "$RELPIPE_SRC" && hg clone -u "$RELPIPE_VERSION" https://hg.globalcode.info/relpipe/relpipe-$m.cpp || break; done; }
+relpipe_install() { for m in "$@"; do cd "$RELPIPE_BUILD" && mkdir relpipe-$m.cpp && cd relpipe-$m.cpp && cmake -DCMAKE_INSTALL_PREFIX:PATH="$RELPIPE_INSTALL" ../../src/relpipe-$m.cpp && make && make install || break; done; }
+
+# Download all sources:
+relpipe_download lib-protocol lib-reader lib-writer lib-cli in-cli in-fstab out-gui.qt out-nullbyte out-ods out-tabular out-xml tr-cut tr-grep tr-python tr-sed tr-validator
+
+# Build and install libraries:
+relpipe_install lib-protocol lib-reader lib-writer lib-cli
+
+# Build and install tools:
+relpipe_install in-fstab in-cli tr-cut tr-grep tr-sed out-nullbyte out-ods out-tabular out-xml
+
+# Clean-up:
+unset -f relpipe_install
+unset -f relpipe_download
+unset -v RELPIPE_VERSION
+unset -v RELPIPE_SRC
+unset -v RELPIPE_BUILD
+unset -v RELPIPE_INSTALL
+
+# View your fstab like on an 80s green screen terminal!
+relpipe-in-fstab | relpipe-out-tabular
diff -r d7a7f20aae51 -r a94eb371f77e relpipe-data/implementation.xml
--- a/relpipe-data/implementation.xml Wed Dec 19 23:30:48 2018 +0100
+++ b/relpipe-data/implementation.xml Thu Dec 20 01:42:36 2018 +0100
@@ -27,6 +27,8 @@
relpipe-out-xml.cpp executable output c++ GNU GPLv3+
relpipe-tr-cut.cpp executable transformation c++ GNU GPLv3+
relpipe-tr-grep.cpp executable transformation c++ GNU GPLv3+
+ relpipe-tr-guile.cpp executable transformation c++ GNU GPLv3+
+ relpipe-tr-python.cpp executable transformation c++ GNU GPLv3+
relpipe-tr-sed.cpp executable transformation c++ GNU GPLv3+
relpipe-tr-validator.cpp executable transformation c++ GNU GPLv3+
diff -r d7a7f20aae51 -r a94eb371f77e relpipe-data/release-v0.8.xml
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/relpipe-data/release-v0.8.xml Thu Dec 20 01:42:36 2018 +0100
@@ -0,0 +1,59 @@
+Data types
+
+
+ Inputs
+
+
+ Transformations
+
+
+ Outputs
+
+
+
+ out-gui.qt
and tr-python
require additional libraries and are not built by default.
+
- First public release for brave and courageous. -
- -